function [] = nodfiles(zr, nbeam, reference,name)


fout = fopen(name, 'w');
header(fout);

if (nbeam > 0),

	zn = zr(1) + [0:2*nbeam]'/(2*nbeam)*(zr(end) - zr(1));

	for n = 1:length(zn),
		fprintf(fout, 'structural: %s + %d, dynamic,\n',reference, n-1);
		fprintf(fout, '        reference, %s,\n', reference);
        fprintf(fout, '                %+15.8e, %+15.8e, %+15.8e,\n', 0., 0., zn(n));
		fprintf(fout, '        reference, %s, eye,\n', reference);
		fprintf(fout, '        reference, %s, null,\n', reference);
		fprintf(fout, '        reference, %s, null;\n', reference);
		fprintf(fout, '\n');
	end

else
	fprintf(fout, 'structural: %s, dynamic,\n', reference);
	fprintf(fout, '        reference, %s,\n', reference);
	fprintf(fout, '                %+15.8e, %+15.8e, %+15.8e,\n', 0., 0., 0.);
	fprintf(fout, '        reference, %s, eye,\n', reference);
	fprintf(fout, '        reference, %s, null,\n', reference);
	fprintf(fout, '        reference, %s, null;\n', reference);
	fprintf(fout, '\n');
end
    fclose(fout);

end

